/Users/bernard/b20/bsoft/include/rwmol_star.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmol_star.h - Read and write molecules in STAR format.

SYNOPSIS

  Functions
long read_mol_star (Bstring &filename, Bmolgroup *molgroup)
Reads a molecule group from a STAR format file.
long write_mol_star (Bstring &filename, Bmolgroup *molgroup)
Writes a molecule group to a STAR format file.

Detailed Description

Read and write molecules in STAR format.

Author:
    Bernard Heymann

Date:
    Created: 19991113

    Modified: 20050908

Definition in file rwmol_star.h.

Function Documentation

  long read_mol_star (Bstring & filename, Bmolgroup * molgroup)

Reads a molecule group from a STAR format file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    long number of molecules read (<0 if reading failed).

Definition at line 25 of file rwmol_star.cpp.

  long write_mol_star (Bstring & filename, Bmolgroup * molgroup)

Writes a molecule group to a STAR format file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    long number of molecules written (<0 if writing failed).

Definition at line 324 of file rwmol_star.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.